import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Günther here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Guenther extends Element
{
    private boolean ru;
    
    public Guenther()
    {
        setImage("Guenter/guenter.png");
    }
    
    /**
     * Act - do whatever the Günther wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
        if (isTouching(Linch.class) && !ru)
        {
            Greenfoot.playSound("Dialog_1.mp3");
            ru = true;
        }
    }    
}
